- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ParticleSystem File Reference

`#include <osgParticle/Export>`
`#include <osgParticle/Particle>`
`#include <vector>`
`#include <stack>`
`#include <algorithm>`
`#include <string>`
`#include <osg/Object>`
`#include <osg/Drawable>`
`#include <osg/CopyOp>`
`#include <osg/State>`
`#include <osg/Vec3>`
`#include <osg/BoundingBox>`

Include dependency graph for ParticleSystem:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgParticle
## Classes
class | osgParticle::ParticleSystem
| The heart of this class library; its purpose is to hold a set of particles and manage particle creation, update, rendering and destruction. More...
## Defines
#define | OSGPARTICLE_PARTICLESYSTEM_ 1

## Define Documentation

#define OSGPARTICLE_PARTICLESYSTEM_ 1